using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    abstract class Jarmu
    {
        public string Marka { get; set; }
        public int Ev { get; set; }
        public abstract void Vezeto();   
    }

    class Auto : Jarmu
    {
        public int loero { get; set; }

        public override void Vezeto()
        {
            Console.WriteLine($"Az autó vezetés: {Marka}, Ev: {Ev}, loero: {loero}");
        }
    }

    class Kerekpar : Jarmu
    {
        public int Sebesseg { get; set; }
        public override void Vezeto()
        {
            Console.WriteLine($"Kerékpározás: {Marka}, Ev: {Ev}, Sebesseg: {Sebesseg}"); 
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Auto auto1 = new Auto { Marka = "Suzuki", Ev = 2002, loero = 997 };
            auto1.Vezeto();
            Kerekpar kero = new Kerekpar { Marka = "Csepel", Ev = 2020, Sebesseg = 5 };
            kero.Vezeto();
            Console.ReadLine();
        }
    }
}
